: Class SessionContext

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP
Class SessionContext

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--com.mortbay.HTTP.SessionContext

public class SessionContext
extends java.util.Hashtable
implements javax.servlet.http.HttpSessionContext

Http Session Context

Version:
  $Revision: 2.11 $ $Date: 2000/10/20 16:44:50 $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Field Summary
`static int` | `distantFuture` Deprecated.
`static java.lang.String` | `SessionId` Deprecated.
`static java.lang.String` | `SessionUrlPrefix` Deprecated.
`static java.lang.String` | `SessionUrlSuffix` Deprecated.

Constructor Summary
`SessionContext()` Deprecated.

Method Summary
`static void` | `access(javax.servlet.http.HttpSession session)` Deprecated.
`java.util.Enumeration` | `getIds()` Deprecated.
`javax.servlet.http.HttpSession` | `getSession(java.lang.String id)` Deprecated.
`static boolean` | `isValid(javax.servlet.http.HttpSession session)` Deprecated.
`javax.servlet.http.HttpSession` | `newSession()` Deprecated.
`protected void` | `scavenge()` Deprecated. Find sessions that have timed out and invalidate them.
`void` | `setMaxInactiveInterval(int defaultTime)` Deprecated. Set the default session timeout.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### SessionUrlPrefix

    public static final java.lang.String SessionUrlPrefix

  Deprecated.

### SessionUrlSuffix

    public static final java.lang.String SessionUrlSuffix

  Deprecated.

### SessionId

    public static final java.lang.String SessionId

  Deprecated.

### distantFuture

    public static final int distantFuture

  Deprecated.

Constructor Detail

### SessionContext

    public SessionContext()

  Deprecated.

Method Detail

### getIds

    public java.util.Enumeration getIds()

  Deprecated.

  Specified by:
    getIds in interface javax.servlet.http.HttpSessionContext

### getSession

    public javax.servlet.http.HttpSession getSession(java.lang.String id)

  Deprecated.

  Specified by:
    getSession in interface javax.servlet.http.HttpSessionContext

### newSession

    public javax.servlet.http.HttpSession newSession()

  Deprecated.

### access

    public static void access(javax.servlet.http.HttpSession session)

  Deprecated.

### isValid

    public static boolean isValid(javax.servlet.http.HttpSession session)

  Deprecated.

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int defaultTime)

  Deprecated.
  Set the default session timeout.
  Parameters:
    `default` - The default timeout in seconds

### scavenge

    protected void scavenge()

  Deprecated.
  Find sessions that have timed out and invalidate them. This runs in the SessionScavenger thread.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD